%define name 	lincity-ng
%define version 1.1.0
%define release 1
%define	Summary	Lincity - A City Simulation Game

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source0:	http://download.berlios.de/lincity-ng/%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://lincity-ng.berlios.de/
Group:		Games/Strategy
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	jam
BuildRequires:	zlib-devel libxml2-devel
BuildRequires:	XFree86-devel
BuildRequires:	SDL-devel SDL_mixer-devel SDL_image-devel SDL_ttf-devel libSDL_gfx-devel 
BuildRequires:	libphysfs-devel desktop-file-utils
Obsoletes:	lincity
Provides:	lincity

%description
Lincity is a city simulation game. Build your city up from a primitive village
to an advanced civilization.  Build a sustainable economy, or build rockets to
escape from a pollution ridden and resource starved planet. 

LinCity-NG is a polished and improved version of the classic LinCity game with
a new iso-3D graphics engine, with a completely redone and modern GUI.

%prep
%setup -q

%build
%configure2_5x	--bindir=%{_gamesbindir} \
		--with-gzip \
		--with-svga \
		--with-x \
		--disable-rpath
jam

%install
rm -fr %{buildroot}
DESTDIR=%{buildroot} jam install
mkdir -p %{buildroot}%{_miconsdir}
convert -size 48x48 data/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
convert -size 32x32 data/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_liconsdir}
convert -size 16x16 data/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png

%find_lang %{name}

# menu
mkdir -p %{buildroot}%{_menudir}
cat << EOF >> %{buildroot}%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.png" \
               needs="X11" section="More Applications/Games/Strategy" title="Lincity" \
               longtitle="%{Summary}" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="StrategyGame" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING* README RELNOTES TODO
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Thu Feb 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1mdv2007.0
+ Revision: 124728
- new version

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.0.3-5mdv2007.1
+ Revision: 100703
- Import lincity-ng



* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.0.3-5
- Rebuild

* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-4mdv2007.0
- Game category repeated twice in desktop file (bug #25177)
- buildrequires desktop-file-utils

* Sun Aug 13 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-3mdv2007.0
- rebuild

* Mon Jul 31 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-2mdv2007.0
- xdg menu
- fix buildrequires

* Wed May 03 2006 Emmanuel Andry <eandry@free.fr> 1.0.3-1mdk
- New release 1.0.3

* Mon Jan 16 2006 Michael Scherer <misc@mandriva.org> 1.0.2-1mdk
- New release 1.0.2, thanks to Emmanuel Andry <eandry@free.fr> for testing
  and reporting

* Wed Aug 11 2005 Austin Acton <austin@mandriva.org> 1.0.1-1mdk
- move to lincity-ng, obsolete lincity
- source URL
- new URL
- convert icon on-the-fly

* Mon Aug 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.12.1-2mdk
- fix %%{Summary} macro
- build with svga and gzip support
- %%mkrel
- convert icons to png
- move data to %%{_gamesdatadir}
- no .bz2 ending for man page
- clean out suckage!

* Fri Mar 11 2005 Austin Acton <austin@mandrake.org> 1.12.1-1mdk
- configure 2.5
- from Emmanuel Andry <eandry@free.fr> :
  - New release
  - Updated buildrequires
  - Updated menu
  - New source for icons (taken from 1.12-0.pre55)

* Mon Jan 12 2004 Austin Acton <austin@mandrake.org> 1.12-0.pre55.2mdk
- add icon

* Sun Jan 04 2004 Austin Acton <austin@linux.ca> 1.12-0.pre55.1mdk
- from Taj Morton <taj@wildgardenseed.com> :
  - First Package
